-- 副本邀请
checkRequire("Lua_TeamCommiteItem");
Lua_TeamCommiteWindow = class("Lua_TeamCommiteWindow", Lua_Window);
function Lua_TeamCommiteWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TeamCommiteWindow";
	self.skinName = "TeamCommiteWindow_skin";
end

function Lua_TeamCommiteWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.maxTime = 15;

	local titem;
	self.arr = Array();
	local poses = {{-189, 68}, {0, 68}, {189, 68}};
	for i,v in ipairs(poses) do
		titem = Lua_TeamCommiteItem.new(self.content);
		titem:setLocation(v[1], v[2], 0);
		self.arr:add(titem);
	end

	self.subBtn:addClickFuntion(self, self.onSubClick);
	self.cancelBtn:addClickFuntion(self, self.onCancelClick);
	
	self.startTime = getTime();
	self:onUpdateData();
	self:addLuaEvent("TEAM_INFO_UPDATE", self, self.onUpdateData);
	self:addTimer("commit", 0.01, self, self.onCountDown);
	self:onCountDown();
end

function Lua_TeamCommiteWindow:showWin(param)
	self.maxTime = param;
end

function Lua_TeamCommiteWindow:onUpdateData()
	local teamData = DataCenter.teamData;
	if teamData.hasTeam == false or teamData.targetVo == nil or teamData.team_info.team_type ~= 3 then
		self:hide();
		return;
	end

	self.titleNameLab.text = teamData.targetVo.name;
	for i = 1, 3 do
		self.arr[i]:setData(teamData.teamerArr[i]);
	end
end

function Lua_TeamCommiteWindow:onCountDown()
	local leftTime = self.maxTime - (getTime() - self.startTime);
	if leftTime > 0 then
		self.bar:setText(TimeTransform.getInstance():transSeconds6(leftTime, false, true));
		self.bar:setMaxValue(self.maxTime * 10);
		self.bar:setValue(leftTime * 10);
	else
		self:onSubClick();
		self:hide();
	end
end

function Lua_TeamCommiteWindow:onSubClick(go)
	local cmd = ProtoPublic_pb.Proto10100326();
	cmd.operate = 0;
	sendMsg(10100326, cmd);
	self:hide();
end

function Lua_TeamCommiteWindow:onCancelClick(go)
	local cmd = ProtoPublic_pb.Proto10100326();
	cmd.operate = -1;
	sendMsg(10100326, cmd);
	self:hide();
end