checkRequire("Lua_TeamInviteItem");
Lua_TeamInviteWindow = class("Lua_TeamInviteWindow", Lua_Window);
function Lua_TeamInviteWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TeamInviteWindow";
	self.skinName = "TeamInviteWindow_skin";
	self.isClickClose = true;
end

function Lua_TeamInviteWindow:buildShowItem()
	self:superCall("buildShowItem");

	local btnNames = Array();
	btnNames:add(LanUtil.getValue(122218));
	btnNames:add(LanUtil.getValue(122219));
	btnNames:add(LanUtil.getValue(122220));

	self.helpList = Lua_ButtonList.new(self.content, btnNames, 71, self, self.onButtonListClick,
		"ui_common_btn_p2", "ui_common_btn_p1", Vector4(0, 0, 212, 66), Vector4(0, 0, 212, 66),
		Lua_ColorDefine.transColor("D2D8DC"), Lua_ColorDefine.transColor("FFFFFF"), Vector4(28, 28, 212, 66), 1, "common_atlas_1", Vector3(0, 2, 0));
	self.helpList:setLocation(-324, 138, 0);
	self.helpList:setDepth(5);
	self.helpList:setSelected(1, true);
	
	self.dragList = Lua_DragList.new(self.content,1, Vector4(0, 0, 616, 358));
	self.dragList:setListCell(Lua_TeamInviteItem, 122, 616, 1);
	self.dragList:setLocation(124, -5, 0);

	self.refreshBtn:addClickFuntion(self, self.onRefreshClick);
end

function Lua_TeamInviteWindow:onRefreshClick(o)
	if self.lastInTime ~= nil and getTime() - self.lastInTime < 5 then
		return;
	end

	self.lastInTime = getTime();
	if  DataCenter.KuaFuData.isKuaFuTeam == true  then
		sendMsg(10105501);
	else
		sendMsg(10100324);
	end
end

function Lua_TeamInviteWindow:showWin(param)
	self.msg = param;
	self.helpList:setSelected(self.curVal == nil and 1 or self.curVal, false);
	self:showSelected(self.curVal == nil and 1 or self.curVal, true);
end

function Lua_TeamInviteWindow:onButtonListClick(val)
	if self.msg == nil or self.curVal == val then
		return;
	end

	self.curVal = val;
	local l = nil;
	if val == 1 then -- 好友
		l = self.msg.friend_list;
	elseif val == 2 then -- 附近
		l = self.msg.near_list;
	else -- 帮派
		l = self.msg.league_list;
	end

	local arr = Array();
	for i,v in ipairs(l) do
		arr:add(v);
	end
	arr:sort("role_level", true);
	self.dragList:setLuaArrayData(arr);
end

function Lua_TeamInviteWindow:showSelected(val, force)
	if self.msg == nil then
		return;
	end

	if self.curVal == val and force ~= true then
		return;
	end

	self.curVal = val;
	local l = nil;
	if val == 1 then--好友
		l = self.msg.friend_list;
	elseif val == 2 then--附近
		l = self.msg.near_list;
	else--帮派
		l = self.msg.league_list;
	end
	
	local arr = Array();
	for i,v in ipairs(l) do
		arr:add(v);
	end
	arr:sort("role_level", true);
	self.dragList:setLuaArrayData(arr);
end