checkRequire("Lua_TeamJointItem");
Lua_TeamJointListWindow = class("Lua_TeamJointListWindow", Lua_Window);
function Lua_TeamJointListWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TeamJointListWindow";
	self.skinName = "TeamJointListWindow_skin";
end

function Lua_TeamJointListWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragList = Lua_DragList.new(self.content,1, Vector4(0, 0, 866, 351));
	self.dragList:setLocation(0, -5, 0);
	self.dragList:setListCell(Lua_TeamJointItem, 122, 866, 1);

	self.autoBox.seleted = DataCenter.teamData.auto_accept == 1;
	self.autoBox:addBoxChange(self,self.onBoxClick);
	self.clearBtn:addClickFuntion(self,self.onClearClick);

	self:onUpdateList();

	self:addLuaEvent("TEAM_SHENQING_UPDATE", self, self.onUpdateList);
end

function Lua_TeamJointListWindow:onUpdateList()
	self.dragList:setLuaArrayData(DataCenter.teamData.shenQingArr);
end

function Lua_TeamJointListWindow:onClearClick(go)
	DataCenter.teamData.shenQingArr:clear();
	self:onUpdateList();
	Lua_MsgUtil.callFunc("UPDATE_TEAM_TIP_STATE");
end

function Lua_TeamJointListWindow:onBoxClick(state)
	local cmd = ProtoPublic_pb.Proto10100323();
	cmd.status = state and 1 or 0;
	sendMsg(10100323, cmd);
end

function Lua_TeamJointListWindow:dispose()
	if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end

	self:superCall("dispose");
end