checkRequire("Lua_TeamListItem");
checkRequire("Lua_TeamTargetCellItem2");
Lua_TeamListWindow = class("Lua_TeamListWindow", Lua_Window);
function Lua_TeamListWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TeamListWindow";
	self.skinName = "TeamListWindow_skin";
end

function Lua_TeamListWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.lastSendTime = 0;

	self:addLuaEvent("TEAMTARGET_CHANGE", self, self.onTargetChange);
	self:addLuaEvent("TEAM_LIST_UPDATE", self, self.onTeamListUpdate);

	self.refreshBtn:addClickFuntion(self, self.onRefreshClick);
	self.createBtn:addClickFuntion(self, self.onCreateClick);

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 212, 423));
	self.dragList:setListCell(Lua_TeamTargetCellItem2, 66, 212, 1);
	self.dragList:setLocation(-324, -40, 0);

	self.teamList = Lua_DragList.new(self.content,1, Vector4(0, 0, 654, 306));
	self.teamList:setListCell(Lua_TeamListItem, 108, 654, 1); 
	self.teamList:setLocation(125, -31, 0);

	self:setSekectedTarget(-1, 0);
end

function Lua_TeamListWindow:setSekectedTarget(rangeType, targetId)
	if self.targetId == targetId and self.rangeType == rangeType then
		return;
	end

	self.rangeType = rangeType;
	self.targetId = targetId;
	local arr = Array();
	arr:add({rangeType=-1, name=LanUtil.getValue(122229), selected=(rangeType==-1)});
	local arr2 = DataCenter.teamData:getTargetList(true);
	for i=1,arr2:getSize() do
		arr2[i].selected = arr2[i].id == targetId and rangeType~=-1;
		arr:add(arr2[i]);
	end
	self.dragList:setLuaArrayData(arr);

	self:refreshList();
end

function Lua_TeamListWindow:refreshList()
	local cmd = ProtoPublic_pb.Proto10100313();
	self.lastSendTime = getTime();
	if self.rangeType == -1 then
		cmd.type = 1;
		cmd.script_type = 0;
		cmd.script_degree = 0;
	else
		local tvo = DataCenter.teamData:getTargetById(self.targetId);
		if tvo.team_type == 1 then
			cmd.type = 0;
			cmd.script_type = 0;
			cmd.script_degree = 0;
		elseif tvo.team_type == 2 then
			cmd.type = 2;
			cmd.script_type = 0;
			cmd.script_degree = 0;
		else
			cmd.type = 3;
			cmd.script_type = tvo.script_type;
			cmd.script_degree = tvo.script_degree;
		end
	end
	sendMsg(10100313, cmd);
end

function Lua_TeamListWindow:onTargetChange(vo)
	if vo.rangeType == -1 then
		self:setSekectedTarget(-1, 0);
	else
		self:setSekectedTarget(1, vo.id);
	end
end

function Lua_TeamListWindow:onCreateClick(go)
	local teamData = DataCenter.teamData;
	if self.rangeType == -1 then
		teamData:createTeam();
	else
		local tvo = teamData:getTargetById(self.targetId);
		teamData:setTeamTargetByCopy(tvo.script_type,tvo.script_degree,true);
		teamData:createTeam();
	end
	self:hide();
end

function Lua_TeamListWindow:onRefreshClick(go)
	if getTime() - self.lastSendTime < 4 then
		return;
	end
	self.lastSendTime = getTime();
	self:refreshList();
end

function Lua_TeamListWindow:onTeamListUpdate(o)
	local arr = Array();
	for i,v in ipairs(o.team_info) do
		arr:add(v)
	end
	self.teamList:setLuaArrayData(arr);
end