checkRequire("Lua_NumberInputItem");
checkRequire("Lua_TeamTargetCellItem");
Lua_TeamTargetChangeWindow = class("Lua_TeamTargetChangeWindow", Lua_Window);
function Lua_TeamTargetChangeWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TeamTargetChangeWindow";
	self.skinName = "TeamTargetChangeWindow_skin";
end

function Lua_TeamTargetChangeWindow:buildShowItem()
	self:superCall("buildShowItem");

	self:addLuaEvent("TEAMTARGET_CHANGE", self, self.setTarget);

	self.dragList = Lua_DragList.new(self.content,1, Vector4(0, 0, 406, 281));
	self.dragList:setListCell(Lua_TeamTargetCellItem, 58, 406, 1);
	self.dragList:setLocation(-225, -37, 0);

	self.minLvItem = Lua_NumberInputItem.new(self.content);
	self.minLvItem:setDepth(3);
	self.minLvItem:setMinMaxValue(1, Lua_ThingDefine.getMaxLevel());
	self.minLvItem:setAddTen(false);
	self.minLvItem:setWindowOffset(460, 20);
	self.minLvItem:setLocation(195, 17);

	self.maxLvItem = Lua_NumberInputItem.new(self.content);
	self.maxLvItem:setDepth(3);
	self.maxLvItem:setMinMaxValue(1, Lua_ThingDefine.getMaxLevel());
	self.maxLvItem:setAddTen(false);
	self.maxLvItem:setWindowOffset(425, -110);
	self.maxLvItem:setLocation(195, -111);

	local td = DataCenter.teamData;
	self:setTarget(td.targetVo);
	self.minLvItem:setNum(td.minLv);
	self.maxLvItem:setNum(td.maxLv);

	self.subBtn:addClickFuntion(self,self.onSubClick);
end
function Lua_TeamTargetChangeWindow:setTarget(vo)
	self.curTarget = vo;
	local td = DataCenter.teamData;
	local arr = td:getTargetList(true);
	for i=1,arr:getSize() do
		arr[i].selected = arr[i].id == vo.id;
	end
	if td.saveLevel[vo.id] == nil then
		if vo.team_type == 1 or vo.team_type == 2 then
			local minLv = 1;
			local maxLv = Lua_ThingDefine.getMaxLevel();
			self.minLvItem:setNum(minLv);
			self.maxLvItem:setNum(maxLv);
		else
			local cvo = DataCenter.copyData:getCopyById(self.curTarget.script_type);
			local minLv = cvo:getCopyMinLv(self.curTarget.script_degree);
			local maxLv = Lua_ThingDefine.getMaxLevel();
			self.minLvItem:setNum(minLv);
			self.maxLvItem:setNum(maxLv);
		end
	else
		local svo = td.saveLevel[vo.id];
		self.minLvItem:setNum(svo.minLv);
		self.maxLvItem:setNum(svo.maxLv);
	end

	self.dragList:setLuaArrayData(arr);
end
function Lua_TeamTargetChangeWindow:onSubClick(go)
	local td = DataCenter.teamData;
	if self.minLvItem.num > self.maxLvItem.num then
		OperateAlert.show(LanUtil.getValue(121143));
		return;
	end

	local minLv = math.min(self.minLvItem.num, self.maxLvItem.num);
	local maxLv = math.max(self.minLvItem.num, self.maxLvItem.num);
	if self.curTarget.team_type == 3 then
		local cvo = DataCenter.copyData:getCopyById(self.curTarget.script_type);
		local l = cvo:getCopyMinLv(self.curTarget.script_degree);
		if minLv < l then
			minLv = l;
		end
		if maxLv < l then
			maxLv = l + 50;
		end
	end
	if maxLv < DataCenter.roleData.level then
		maxLv = DataCenter.roleData.level;
	end
	if minLv > DataCenter.roleData.level then
		minLv = DataCenter.roleData.level;
	end
	if td.hasTeam == true and td.amILeader == true then
		local cmd = ProtoPublic_pb.Proto10100311();
		cmd.team_type = self.curTarget.team_type;
		cmd.level_low = minLv;
		cmd.level_upper = maxLv;
		cmd.script_type = self.curTarget.script_type;
		cmd.script_degree = self.curTarget.script_degree;
		sendMsg(10100311, cmd);
	else
		td.minLv = minLv;
		td.maxLv = maxLv;
		td.targetVo = self.curTarget;
		td:setSaveData(self.curTarget.id, minLv, maxLv);
		Lua_MsgUtil.callFunc("TEAM_SET_TARGET");
	end

	self:hide();
end