checkRequire("Lua_TeamMemberItem");
checkRequire("Lua_TeamerItem");
Lua_TeamWindow = class("Lua_TeamWindow", Lua_Window);
function Lua_TeamWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_TeamWindow";
	self.skinName = "TeamWindow_skin";
end

function Lua_TeamWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.lastSendTime = 0;
	self.changeBtn.label = LanUtil.getValue(122226);

	self.tItem = Lua_TeamerItem.new(self.content);
	self.tItem:setLocation(-175, -272, 0);
	self.tItem:onTeamUpdate();

	self.dragList = Lua_DragList.new(self.content, 1, Vector4(0, 0, 709, 404));
	self.dragList:setListCell(Lua_TeamMemberItem, 142, 709, 1);
	self.dragList:setLocation(176, 20, 0);

	self.btn1:addClickFuntion(self, self.onBtnClick1);
	self.btn2:addClickFuntion(self, self.onBtnClick2);
	self.btn3:addClickFuntion(self, self.onBtnClick3);
	self.btn4:addClickFuntion(self, self.onBtnClick4);
	self.btn5:addClickFuntion(self, self.onBtnClick5);
	self.changeBtn:addClickFuntion(self, self.onChangeClick);

	self:onTeamInfoUpdate();

	self:addLuaEvent("TEAM_INFO_UPDATE", self, self.onTeamInfoUpdate);
	self:addLuaEvent("TEAM_SET_TARGET", self, self.onTeamSetTarget);
end

function Lua_TeamWindow:showWin(param)
	local td = DataCenter.teamData;
	if param.act == 1 then--自动匹配目标
		if td.hasTeam == false then
			td:setTeamTargetByCopy(param.script_type, param.script_degree, true);
			local cmd = ProtoPublic_pb.Proto10100314();
			cmd.team_type = 3;
			cmd.script_type = param.script_type;
			cmd.script_degree = param.script_degree;
			sendMsg(10100314, cmd);
			self:setTarget(td.targetVo.id, td.minLv, td.maxLv);
		else
			if td.amILeader == false then
				OperateAlert.show(LanUtil.getValue(122248));
				return;
			end
			if td.isTeamFull == true then
				OperateAlert.show(LanUtil.getValue(122233));
				return;
			end
			if td.targetVo.script_type ~= param.script_type or td.targetVo.script_degree ~= param.script_degree then
				local cmd = ProtoPublic_pb.Proto10100311();
				cmd.team_type = 3;
				cmd.level_low = td.minLv;
				cmd.level_upper = td.maxLv;
				cmd.script_type = param.script_type;
				cmd.script_degree = param.script_degree;
				sendMsg(10100311, cmd);
			end

			local cmd = ProtoPublic_pb.Proto10100314();
			cmd.team_type = 3;
			cmd.script_type = param.script_type;
			cmd.script_degree = param.script_degree;
			sendMsg(10100314, cmd);
		end
	elseif param.act == 2 then
		if td.hasTeam == false then
			td:setTeamTargetByCopy(param.script_type, param.script_degree,true);
			self:setTarget(td.targetVo.id, td.minLv, td.maxLv);
		end
	end
	self:updateAutoDay();
end

function Lua_TeamWindow:updateAutoDay()
	local td = DataCenter.teamData;
	if td.targetVo == nil or td.targetVo.open_day == nil or td.targetVo.open_day == 0 then
		self.dayTxt.text = "";
	else
		self.dayTxt.text = LanUtil.formateStr(LanUtil.getValue(122269), tostring(td.targetVo.open_day));
	end
end

function Lua_TeamWindow:onTeamInfoUpdate(o)
	local td = DataCenter.teamData;
	local rd = DataCenter.roleData;
	if td.isMatch == true then
		self.btn1.label = LanUtil.getValue(122212);
		-- self.btn1:setStyle(5);
	else
		self.btn1.label = LanUtil.getValue(122206);
		-- self.btn1:setStyle(1);
	end
	self:updateAutoDay();

	if td.hasTeam == false then
		self.btn2.label = LanUtil.getValue(122205);
		self.btn2:setDisableTime(0);
		self.btn2:setEnable(true);
		self.btn3.label = LanUtil.getValue(122207);
		self.btn4.label = LanUtil.getValue(122208);
		self.btn1:setEnable(true);
		self.btn4:setEnable(true);
		self.btn4:setDisableTime(0);
		self.btn5:setEnable(false);

		self.changeBtn:setBtnEnable(true);

		local arr = Array();
		local tvo = Lua_TeamMemberVo.new();
		tvo.role_id = rd.roleId;
		tvo.role_name = rd.name;
		tvo.role_level = rd.level;
		tvo.role_sex = rd.sex;
		tvo.role_career = rd.career;
		tvo.profession = rd.profession;
		tvo.league_name = rd.leagueName;
		tvo.role_force = rd.force;
		tvo.online_flag = 1;
		tvo.vip_type = rd.vipType;
		tvo.head_frame = rd.headFrame;
		tvo.role_head = rd.getDressHead;
		arr:add(tvo);
		self:fixArray(arr);
		self.dragList:setLuaArrayData(arr);
		if td.targetVo ~= nil and td.maxLv ~= nil and td.maxLv ~= 0 then
			self:setTarget(td.targetVo.id, td.minLv, td.maxLv);
		else
			td:setTeamTargetByTeamType(1, true);
			self:setTarget(td.targetVo.id, td.minLv, td.maxLv);
		end
	else
		if td.amILeader == true then
			self.btn2.label = LanUtil.getValue(122222);
			self.btn2:setDisableTime(0);
			self.btn3.label = LanUtil.getValue(122224);
			self.btn4.label = LanUtil.getValue(122214);
			self.btn5.label = LanUtil.getValue(122225);
			
			self.btn5:setEnable(true);
			self.changeBtn:setBtnEnable(true);
			if td.targetVo.script_type == 0 then
				self.btn2:setEnable(false);
				self.btn4:setEnable(true);
				self.btn1:setEnable(true);
				self.btn4:setDisableTime(0);
			else
				self.btn2:setEnable(true);
				if td.targetVo.script_type == Lua_CopyData.YINYUAN_COPY then
					self.btn4:setEnable(false);
					self.btn4:setDisableTime(0);
					self.btn1:setEnable(false);
				else
					self.btn4:setEnable(true);
					self.btn4:setDisableTime(0);
					self.btn1:setEnable(true);
				end
			end
		else
			self.btn1:setEnable(false);
			self.btn2.label = LanUtil.getValue(122223);
			self.btn3.label = LanUtil.getValue(122224);
			self.btn4:setEnable(false);
			self.btn5:setEnable(false);
			self.changeBtn:setBtnEnable(false);
			if td.targetVo.script_type == 0 then
				self.btn2:setEnable(false);
				self.btn2:setDisableTime(0);
			else
				self.btn2:setEnable(true);
				local cdTime = Lua_CommonUtil.getCommonConfig("team_press", 1);				
				if td.lastCuiTime ~= nil and getTime() - td.lastCuiTime < cdTime then
					local lt = cdTime - math.floor(getTime() - td.lastCuiTime) + 1;
					self.btn2:setDisableTime(lt);
				else
					self.btn2:setDisableTime(0);
				end
			end
		end
		local arr = Array();
		for i=1,td.teamerArr:getSize() do
			arr:add(td.teamerArr[i]);
		end
		self:fixArray(arr);
		self.dragList:setLuaArrayData(arr);

		self:setTarget(td.targetVo.id, td.team_info.level_low, td.team_info.level_upper);
	end
end

function Lua_TeamWindow:fixArray(arr)
	while true do
		if arr:getSize() >= 3 then
			break;
		end
		local tvo = Lua_TeamMemberVo.new();
		tvo.role_id = 0;
		arr:add(tvo);
	end
end

function Lua_TeamWindow:onBtnClick1(go)
	local td = DataCenter.teamData;
	if td.hasTeam == false or (td.hasTeam == true and td.amILeader == true) then
		if td.isMatch == false then
			if td.isTeamFull == true then
				OperateAlert.show(LanUtil.getValue(122233));
				return;
			end

			local cmd = ProtoPublic_pb.Proto10100314();
			cmd.team_type = td.targetVo.team_type;
			cmd.script_type = td.targetVo.script_type;
			cmd.script_degree = td.targetVo.script_degree;
			sendMsg(10100314, cmd);
		else
			sendMsg(10100315);
		end
	end
end

function Lua_TeamWindow:onBtnClick2(go)
	local td = DataCenter.teamData;
	if td.hasTeam == false then
		td:createTeam();
	else
		if td.amILeader == true then
			if td.targetVo.team_type == 3 then
				td:enterCopy(td.targetVo.script_type, td.targetVo.script_degree);
				self:hide();

				Lua_WindowUtil.openWin("Lua_CopyXieLingWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyJueXingWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyLingWenWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyMoneyWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyQiankunWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyYinYuanWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyShenLianWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyJunHunWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyHuanLingWindow", WinParam.ACTION_CLOSE);
				Lua_WindowUtil.openWin("Lua_CopyWindow", WinParam.ACTION_CLOSE);
			end
		else
			--催促队长
			local cdTime = Lua_CommonUtil.getCommonConfig("team_press", 1);
			if td.lastCuiTime ~= nil and getTime() - td.lastCuiTime < cdTime then
				OperateAlert.show(LanUtil.getValue(122255));
				return;
			end
			td.lastCuiTime = getTime();
			sendMsg(10100312);
			self.btn2:setDisableTime(cdTime);
		end
	end
end

function Lua_TeamWindow:onBtnClick3(go)
	local td = DataCenter.teamData;
	if td.hasTeam == false then
		Lua_WindowUtil.openWin("Lua_TeamRecieveWindow");
	else
		if self.lastInTime ~= nil and getTime() - self.lastInTime < 0.3 then
			OperateAlert.show(LanUtil.getValue(120136));
			return;
		end
		self.lastInTime = getTime();
		sendMsg(10100324);
	end
end

function Lua_TeamWindow:onBtnClick4(go)
	local td = DataCenter.teamData;
	if td.hasTeam == false then
		Lua_WindowUtil.openWin("Lua_TeamListWindow");
	else
		if td.amILeader == true then
			--世界喊话
			local str = LanUtil.formateStr(LanUtil.getValue(122235), td.targetVo.name, 
			tostring(td.minLv), tostring(td.maxLv), Lua_CommonUtil.trnsLongNum(DataCenter.roleData.roleId), tostring(td.minLv),tostring(td.maxLv));
			ChatUtil.sendWordMsg(Lua_ChatData.CHANEL_CREATE_TEAM, str, "", false);
			self.btn4:setDisableTime(10);
			OperateAlert.show(LanUtil.getValue(122259));
		end
	end
end

function Lua_TeamWindow:onBtnClick5(go)
	local td = DataCenter.teamData;
	if td.hasTeam == true then
		if td.amILeader == true then
			Lua_WindowUtil.openWin("Lua_TeamJointListWindow");
		end
	end
end

function Lua_TeamWindow:onChangeClick(go)
	Lua_WindowUtil.openWin("Lua_TeamTargetChangeWindow");
end

function Lua_TeamWindow:setTarget(targetId, minLv, maxLv)
	local td = DataCenter.teamData;
	self.targetTxt.text = td.targetVo.name;
	self.targetLvTxt.text = LanUtil.formateStr(LanUtil.getValue(122228),tostring(minLv), tostring(maxLv)); 
	self:updateAutoDay();
end

function Lua_TeamWindow:onTeamSetTarget(o)
	local td = DataCenter.teamData;
	self.targetTxt.text = td.targetVo.name;
	self.targetLvTxt.text = LanUtil.formateStr(LanUtil.getValue(122228),tostring(td.minLv), tostring(td.maxLv));
	
	if td.hasTeam == true and td.amILeader == true then
		local cmd = ProtoPublic_pb.Proto10100311();
		cmd.team_type = td.targetVo.team_type;
		cmd.level_low = td.minLv;
		cmd.level_upper = td.maxLv;
		cmd.script_type = td.targetVo.script_type;
		cmd.script_degree = td.targetVo.script_degree;
		sendMsg(10100311, cmd);
	end
	self:updateAutoDay();
end