Lua_TeamCommiteItem = class("Lua_TeamCommiteItem", Lua_DisplayObject);
function Lua_TeamCommiteItem:ctor(p)
	self:superCall("ctor", p, "TeamCommiteItem_skin");
	self.lastSendTime = 0;
end

function Lua_TeamCommiteItem:setData(data)
	self._data = data;

	if data == nil then
		self.headImg:setEnable(false);
		self.nameTxt:setEnable(false);
		self.wenSp:setEnable(true);
	else
		self.headImg:setEnable(true);
		self.nameTxt:setEnable(true);
		self.wenSp:setEnable(false);
		self.nameTxt.text = data.role_name;

		if isHeadReplaceOpen() == true then
			self:updataCustomHead();
		else
			local headUrl = Lua_ThingDefine.getHeadIconUrlByCareer(data.role_career, data.profession);
			self.headImg:setLocation(1.5, 9, 0);
			self.headImg:SetDimensions(124, 114);
			self.headImg:setUrl(headUrl);
		end
	end
end

function Lua_TeamCommiteItem:updataCustomHead()
	local role_head = self._data.role_head;
    if role_head ~= nil and role_head ~= "" then
        local isDefault = DataCenter.roleData:isDefaultHead(self._data.role_career, role_head);
        if isDefault == true then
            self.headImg:setUrl(Lua_ThingDefine.getHeadIconUrlByCustom(role_head, 0));
        else
            self.headImg:setUrl(role_head, 99, true);
            self.headImg:setRoundSize(0, 0.5, 0.5, 0.25);-- 圆，(1, 0.5, 0.5, 0.5); -- 菱形
            self.headImg:SetDimensions(87, 87);
            self.headImg:setLocation(0, 0, 0);
        end
    end
end