Lua_TeamInviteItem = class("Lua_TeamInviteItem", Lua_ListCell);
function Lua_TeamInviteItem:ctor(p)
	self:superCall("ctor", p, "TeamInviteItem_skin");
end

function Lua_TeamInviteItem:buildShowItem()
	self:superCall("buildShowItem");
	
	self.lastSendTime = getTime() - 2;

	self.headIconItem = Lua_HeadIconItem.new(self.content);
	self.headIconItem:setDepth(5);
	self.headIconItem:setLocation(-241, 4, 0);

	self.subBtn:addClickFuntion(self,self.onInviteClick);
end

function Lua_TeamInviteItem:setData(data)
	self.data = data;
	if data == nil then
		return;
	end

	self.nameTxt.text = data.role_name;
	self.careerTxt.text = Lua_ThingDefine.getJobName(data.role_career, data.profession);
	self.lvTxt.text = LanUtil.formateStr(LanUtil.getValue(122227),tostring(data.role_level));

	if isHeadReplaceOpen() then
		if data.head_frame ~= nil and data.head_frame ~= 0 then
			self.headIconItem:setData(data.role_career, data.role_head_name, DataCenter.roleData:getHeadFrame(data.head_frame));
		else
			self.headIconItem:setData(data.role_career, data.role_head_name, nil);
		end
	else
		if data.head_frame ~= nil and data.head_frame ~= 0 then
			self.headIconItem:setData(data.role_career, data.profession, DataCenter.roleData:getHeadFrame(data.head_frame));
		else
			self.headIconItem:setData(data.role_career, data.profession, nil);
		end
	end
end

function Lua_TeamInviteItem:onInviteClick(go)
	if getTime() - self.lastSendTime < 2 then
		return;
	end
	self.lastSendTime = getTime();

	if DataCenter.teamData.isTeamFull == true then
		OperateAlert.show(LanUtil.getValue(122233));
		return;
	end

	if DataCenter.KuaFuData.isKuaFuTeam == true then
		local cmd = ProtoPublic_pb.Proto11405513();
		cmd.obj_id = tonumber(self.data.role_id);
		sendMsg(11405513, cmd);
	else
		local cmd = ProtoPublic_pb.Proto10100307();
		cmd.role_id = tonumber(self.data.role_id);
		sendMsg(10100307, cmd);
	end
end