Lua_TeamJointItem = class("Lua_TeamJointItem", Lua_ListCell);
function Lua_TeamJointItem:ctor(p)
	self:superCall("ctor", p, "TeamJointItem_skin");
end

function Lua_TeamJointItem:buildShowItem()
	self:superCall("buildShowItem"); 

	self.headIconItem = Lua_HeadIconItem.new(self.content);
    self.headIconItem:setDepth(5);
    self.headIconItem:setLocation(-366, 5, 0);

	self.subBtn:addClickFuntion(self,self.onSubClick);
	self.disBtn:addClickFuntion(self,self.onDisClick);
end

function Lua_TeamJointItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.nameTxt.text = data.role_name;
	self.careerTxt.text = Lua_ThingDefine.getJobName(data.career,data.profession);
	self.lvTxt.text = LanUtil.formateStr(LanUtil.getValue(122227),tostring(data.role_level));

	if isHeadReplaceOpen() then
		if data.head_frame ~= nil and data.head_frame ~= 0 then
			self.headIconItem:setData(data.career, data.role_head_name, DataCenter.roleData:getHeadFrame(data.head_frame));
		else
			self.headIconItem:setData(data.career, data.role_head_name, nil);
		end
	else
		if data.head_frame ~= nil and data.head_frame ~= 0 then
			self.headIconItem:setData(data.career, data.profession, DataCenter.roleData:getHeadFrame(data.head_frame));
		else
			self.headIconItem:setData(data.career, data.profession, nil);
		end
	end

	if self._data.actRs == nil or self._data.actRs == 0 then
		self.subBtn:setBtnEnable(true);
	else
		self.subBtn:setBtnEnable(false);
	end
end

function Lua_TeamJointItem:onSubClick(go)
	self._data.actRs = 1;
	local cmd = ProtoPublic_pb.Proto10100310();
	cmd.role_id:append(tonumber(self._data.role_id));
	cmd.respone_type = 1;
	sendMsg(10100310, cmd);

	DataCenter.teamData:removeShenQing(self._data);

	Lua_MsgUtil.callFunc("TEAM_SHENQING_UPDATE", msg);
	Lua_MsgUtil.callFunc("UPDATE_TEAM_TIP_STATE");
end

function Lua_TeamJointItem:onDisClick(go)
	self._data.actRs = 2;
	local cmd = ProtoPublic_pb.Proto10100310();
	cmd.role_id:append(tonumber(self._data.role_id));
	cmd.respone_type = 0;
	sendMsg(10100310, cmd);

	DataCenter.teamData:removeShenQing(self._data);

	Lua_MsgUtil.callFunc("TEAM_SHENQING_UPDATE", msg);
	Lua_MsgUtil.callFunc("UPDATE_TEAM_TIP_STATE");
end