Lua_TeamRecieveItem = class("Lua_TeamRecieveItem", Lua_ListCell);
function Lua_TeamRecieveItem:ctor(p)
	self:superCall("ctor", p, "TeamRecieveItem_skin");
end

function Lua_TeamRecieveItem:buildShowItem()
	self:superCall("buildShowItem"); 

	self.headIconItem = Lua_HeadIconItem.new(self.content);
	self.headIconItem:setDepth(5);
	self.headIconItem:setScale(0.8, 0.8, 0.8);
	self.headIconItem:setLocation(-362, -15, 0);

	self.subBtn:addClickFuntion(self, self.onSubClick);
	self.disBtn:addClickFuntion(self, self.onDisClick);
end

function Lua_TeamRecieveItem:setData(data)
	self._data = data;
	if data == nil then
		return;
	end

	self.nameTxt.text = data.team_goal.leader_name;
	self.careerTxt.text = Lua_ThingDefine.getJobName(data.career, data.profession);
	self.lvTxt.text = LanUtil.formateStr(LanUtil.getValue(122227), tostring(data.team_goal.leader_level));

	if isHeadReplaceOpen() then
		if data.head_frame ~= nil and data.head_frame ~= 0 then
			self.headIconItem:setData(data.career, data.role_head_name, DataCenter.roleData:getHeadFrame(data.head_frame));
		else
			self.headIconItem:setData(data.career, data.role_head_name, nil);
		end
	else
		if data.head_frame ~= nil and data.head_frame ~= 0 then
			self.headIconItem:setData(data.career, data.profession, DataCenter.roleData:getHeadFrame(data.head_frame));
		else
			self.headIconItem:setData(data.career, data.profession, nil);
		end
	end

	local tv;
	if data.team_goal.team_type == 1 then
		tv = DataCenter.teamData:getTargetByTeamType(data.team_goal.team_type);
	elseif data.team_goal.team_type == 2 then
		tv = DataCenter.teamData:getTargetByTeamType(data.team_goal.team_type);
	else
		tv = DataCenter.teamData:getTargetByCopy(data.team_goal.script_type, data.team_goal.script_degree);
	end
	self.titleTxt.text = tv.name;
	self.titleLvTxt.text = LanUtil.formateStr(LanUtil.getValue(122240), tostring(data.team_goal.level_low),tostring(data.team_goal.level_upper));

	self.subBtn:setBtnEnable(data.actRs == nil or data.actRs == 0);
end

function Lua_TeamRecieveItem:onSubClick(go)
	local lv = DataCenter.roleData.level;
	if self._data.team_goal.level_low > lv or self._data.team_goal.level_upper < lv then
		OperateAlert.show(LanUtil.getValue(122260));
		return;
	end
	self._data.actRs = 1;

	local cmd = ProtoPublic_pb.Proto10100309();
	cmd.role_id:append(tonumber(self._data.role_id));
	cmd.respone_type = 1;
	sendMsg(10100309, cmd);

	DataCenter.teamData:removeYaoQing(self._data);

	Lua_MsgUtil.callFunc("TEAM_YAOQING_UPDATE", msg);
	Lua_MsgUtil.callFunc("UPDATE_TEAM_TIP_STATE");
end

function Lua_TeamRecieveItem:onDisClick(go)
	self._data.actRs = 2;
	local cmd = ProtoPublic_pb.Proto10100309();
	cmd.role_id:append(tonumber(self._data.role_id));
	cmd.respone_type = 0;
	sendMsg(10100309, cmd);

	DataCenter.teamData:removeYaoQing(self._data);
	
	Lua_MsgUtil.callFunc("TEAM_YAOQING_UPDATE", msg);
	Lua_MsgUtil.callFunc("UPDATE_TEAM_TIP_STATE");
end